%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-github
Version:	0.9.1
Release:	1%{?dist}
Summary:	Plugin for Mattermost and Github
License:	Apache
Patch1:		mattermost-plugin-github-arch-make.patch
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/golang/dep/cmd/dep
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-server
git clone https://github.com/mattermost/mattermost-webapp
git clone https://github.com/mattermost/mattermost-plugin-github
%patch1 -p0


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
cd src/github.com/mattermost/mattermost-plugin-github
sed 's/-race//' -i Makefile
make


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins
cp -rv src/github.com/mattermost/mattermost-plugin-github/dist/github/ %{buildroot}%{mattermost_home}/plugins/


%files
%{mattermost_home}/plugins/github/assets/profile.png
%{mattermost_home}/plugins/github/plugin.json
%{mattermost_home}/plugins/github/server/dist/plugin-linux-amd64
%{mattermost_home}/plugins/github/server/dist/plugin-linux-ppc64
%{mattermost_home}/plugins/github/server/dist/plugin-linux-ppc64le
%{mattermost_home}/plugins/github/webapp/dist/main.js

%changelog
