%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-xkcd
Version:	1.2
Release:	1%{?dist}
Summary:	Plugin for Mattermost to embed XKCD
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/pkg/errors
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-server
git clone https://github.com/mattermost/mattermost-webapp
git clone https://github.com/TecHunter/mattermost-xkcd-plugin


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
cd src/github.com/mattermost/mattermost-xkcd-plugin
go build -o plugin.exe plugin.go


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/com.mattermost.xkcd/
cp -rv src/github.com/mattermost/mattermost-xkcd-plugin/plugin.yaml %{buildroot}%{mattermost_home}/plugins/com.mattermost.xkcd/plugin.yaml
cp -rv src/github.com/mattermost/mattermost-xkcd-plugin/plugin.exe %{buildroot}%{mattermost_home}/plugins/com.mattermost.xkcd/plugin.exe


%files
%{mattermost_home}/plugins/com.mattermost.xkcd/plugin.yaml
%{mattermost_home}/plugins/com.mattermost.xkcd/plugin.exe


%changelog
