%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-welcombot
Version:	0.1
Release:	1%{?dist}
Summary:	Plugin for Mattermost as a Welcome Bot
License:	Apache
Patch1:		mattermost-plugin-welcomebot-arch-make.patch
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/golang/dep/cmd/dep
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-server
git clone https://github.com/mattermost/mattermost-webapp
git clone https://github.com/mattermost/mattermost-plugin-welcomebot
%patch1 -p0


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
cd src/github.com/mattermost/mattermost-plugin-welcomebot
%ifarch ppc64
sed 's/-race//' -i Makefile
%endif
make


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins
cp -rv src/github.com/mattermost/mattermost-plugin-welcomebot/dist/com.mattermost.welcomebot/ %{buildroot}%{mattermost_home}/plugins/


%files
%{mattermost_home}/plugins/com.mattermost.welcomebot/plugin.json
%{mattermost_home}/plugins/com.mattermost.welcomebot/server/dist/plugin-linux-amd64
%{mattermost_home}/plugins/com.mattermost.welcomebot/server/dist/plugin-linux-ppc64
%{mattermost_home}/plugins/com.mattermost.welcomebot/server/dist/plugin-linux-ppc64le


%changelog
